﻿using System.Windows.Forms;

namespace MM7ClientDemo.Controls
{
    public partial class MM7ClientControl : UserControl, IClientSettings
    {
        public MM7ClientControl()
        {
            InitializeComponent();
        }

        public string Url
        {
            get { return tbUrl.Text; }
            set { tbUrl.Text = value; }
        }

        public string AuthID
        {
            get { return tbAuthId.Text; }
            set { tbAuthId.Text = value; }
        }

        public string AuthPassword
        {
            get { return tbAuthPw.Text; }
            set { tbAuthPw.Text = value; }
        }

        public string VASPID
        {
            get { return tbVASPID.Text; }
            set { tbVASPID.Text = value; }
        }

        public string VASID
        {
            get { return tbVASID.Text; }
            set { tbVASID.Text = value; }
        }

        public string SenderAddress
        {
            get { return tbSenderAddress.Text; }
            set { tbSenderAddress.Text = value; }
        }

        public string ServiceCode
        {
            get { return tbServiceCode.Text; }
            set { tbServiceCode.Text = value; }
        }

        public string ProxyUrl
        {
            get { return tbProxy.Text; }
            set { tbProxy.Text = value; }
        }
    }

    public interface IClientSettings
    {
        string Url { get; set; }
        string AuthID { get; set; }
        string AuthPassword { get; set; }
        string VASPID { get; set; }
        string VASID { get; set; }
        string SenderAddress { get; set; }
        string ServiceCode { get; set; }
        string ProxyUrl { get; set; }
    }
}
