﻿using System;
using System.Windows.Forms;

namespace MM7ClientDemo.Controls
{
    public partial class MMSCActionsControl : UserControl
    {
        public MMSCActionsControl()
        {
            InitializeComponent();
        }

        public event Action<DeliveryReportArgs> SendDeliveryReport;
        public event Action<ReadReplyReportArgs> SendReadReplyReport;

        private void bSendDeliveryReport_Click(object sender, EventArgs e)
        {
            SendDeliveryReport?.Invoke(new DeliveryReportArgs
            {
                SenderAddress = tbSenderAddress.Text.Trim(),
                Recipient = tbRecipient.Text.Trim()
            });
        }

        private void bSendReadReplyReport_Click(object sender, EventArgs e)
        {
            SendReadReplyReport?.Invoke(new ReadReplyReportArgs
            {
                SenderAddress = tbSenderAddress.Text.Trim(),
                Recipient = tbRecipient.Text.Trim()
            });
        }
    }
}
