﻿using Inetlab.MMS;
using Microsoft.AspNetCore.Builder;
using Microsoft.AspNetCore.Http;

namespace MMSServer.ASPNETCore
{
    public static class ApplicationBuilderExtension
    {
        public static IApplicationBuilder UseMM7Endpoint(this IApplicationBuilder builder, PathString path, MM7ServerEvents events) 
        {
            return builder.UseMiddleware<MM7EndpointMiddleware>(path, events);
        }

        

    }
}
